## artikulate 25.08.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2016 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16.0)
set(QT_MIN_VERSION "6.8.0")
set(KF_MIN_VERSION "6.0.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.84.0")

# generate QML LS integration
set(QT_QML_GENERATE_QMLLS_INI ON)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
set (ARTIKULATE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(artikulate VERSION ${ARTIKULATE_VERSION})

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
find_package(KF6DocTools)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
find_package(LibXml2 REQUIRED)

include(KDEInstallDirs)
include(KDEClangFormat)
include(ECMAddTests)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(ECMEnableSanitizers)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMDeprecationSettings)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Sql
    Multimedia
    Qml
    Quick
    Test
    Xml
)
qt_policy(SET QTP0001 NEW)
qt_policy(SET QTP0004 NEW)
qt_policy(SET QTP0005 NEW)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Config
    Crash
    I18n
    ItemModels
    NewStuff
    Kirigami
)

ecm_set_disabled_deprecation_versions(QT 6.5.0
     KF 6.0.0
    )

add_definitions(
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_KEYWORDS
    -DQT_NO_FOREACH
)

# subdirectories to build
add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(liblearnerprofile)
add_subdirectory(autotests)

# files to install in the artikulate project root directory
ki18n_install(po)
if (KF6DocTools_FOUND)
    kdoctools_install(po)
endif()
install(PROGRAMS org.kde.artikulate.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.artikulate.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR artikulate)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2019 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

ecm_setup_version(${ARTIKULATE_VERSION}
    VARIABLE_PREFIX ARTIKULATE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/ArtikulateConfigVersion.cmake"
)

# set include directories
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${artikulate_SOURCE_DIR}
)

add_library(artikulatecore SHARED ${artikulateCore_SRCS})
kconfig_add_kcfg_files(artikulatecore settings.kcfgc)
# set the source code files from which Artikulate is compiled
target_sources(artikulatecore PRIVATE
    application.cpp
    application.h
    artikulate_debug.cpp
    artikulate_debug.h
    core/xmlschema.cpp
    core/xmlschema.h
    core/xmlschemavalidator.cpp
    core/xmlschemavalidator.h
    core/icourse.h
    core/ieditablecourse.h
    core/ieditablephrase.h
    core/ieditablerepository.h
    core/ieditableunit.h
    core/ilanguage.h
    core/iphrase.h
    core/iunit.h
    core/iresourcerepository.h
    core/resourcerepository.cpp
    core/resourcerepository.h
    core/contributorrepository.cpp
    core/contributorrepository.h
    core/language.cpp
    core/language.h
    core/phrase.cpp
    core/phrase.h
    core/phoneme.cpp
    core/phoneme.h
    core/phonemegroup.cpp
    core/phonemegroup.h
    core/unit.cpp
    core/unit.h
    core/resources/courseparser.cpp
    core/resources/courseresource.cpp
    core/resources/editablecourseresource.cpp
    core/resources/skeletonresource.cpp
    qmlcontrols/iconitem.cpp
    qmlcontrols/imagetexturescache.cpp
    qmlcontrols/managedtexturenode.cpp
)

generate_export_header(artikulatecore BASE_NAME artikulatecore)
target_link_libraries(artikulatecore
    PUBLIC
        artikulatelearnerprofile
        Qt::Qml
        Qt::Quick
        KF6::Archive
        KF6::ConfigGui
        LibXml2::LibXml2
        Qt::Xml
)
# internal library without any API or ABI guarantee
set(GENERIC_LIB_VERSION "0")
set(GENERIC_LIB_SOVERSION "0")
set_target_properties(
    artikulatecore PROPERTIES
    VERSION ${GENERIC_LIB_VERSION}
    SOVERSION ${GENERIC_LIB_SOVERSION}
)
target_include_directories(artikulatecore PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>)
install(
    TARGETS artikulatecore
    LIBRARY NAMELINK_SKIP
    DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)
install(FILES artikulate.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

# QML backend
add_subdirectory(org/kde/artikulate)

# artikulate app
add_executable(artikulate)
target_sources(artikulate PRIVATE
    main.cpp
    mainwindow.cpp
    artikulate_debug.cpp
)
qt_add_resources(artikulate "knewstuffconfig"
    PREFIX "/artikulate/config"
    FILES artikulate.knsrc
)
qt_add_resources(artikulate "languages"
    PREFIX "/artikulate/"
    FILES
        ../data/languages/ba.xml
        ../data/languages/ca.xml
        ../data/languages/de.xml
        ../data/languages/du.xml
        ../data/languages/en_BE.xml
        ../data/languages/en_US.xml
        ../data/languages/fr.xml
        ../data/languages/gr.xml
        ../data/languages/hi.xml
        ../data/languages/it.xml
        ../data/languages/mr.xml
        ../data/languages/sp.xml
        ../data/languages/pl.xml
        ../data/schemes/course.xsd
        ../data/schemes/language.xsd
        ../data/schemes/skeleton.xsd
)
kconfig_add_kcfg_files(artikulate settings.kcfgc)
target_link_libraries(artikulate
    LINK_PUBLIC
        artikulatelearnerprofile
        artikulatecore
        Qt::Qml
        Qt::Quick
        KF6::Crash
        KF6::NewStuffCore
    LINK_PRIVATE
        artikluate_backing
        artikluate_backingplugin
)

# editor app
add_executable(artikulate_editor)
target_sources(artikulate_editor PRIVATE
    main_editor.cpp
    mainwindow_editor.cpp
    artikulate_debug.cpp
)
qt_add_resources(artikulate "knewstuffconfig"
    PREFIX "/artikulate/config"
    FILES artikulate.knsrc
)
qt_add_resources(artikulate_editor "languages"
    PREFIX "/artikulate/"
    FILES
        ../data/languages/ba.xml
        ../data/languages/ca.xml
        ../data/languages/de.xml
        ../data/languages/du.xml
        ../data/languages/en_BE.xml
        ../data/languages/en_US.xml
        ../data/languages/fr.xml
        ../data/languages/gr.xml
        ../data/languages/hi.xml
        ../data/languages/it.xml
        ../data/languages/mr.xml
        ../data/languages/sp.xml
        ../data/languages/pl.xml
        ../data/schemes/course.xsd
        ../data/schemes/language.xsd
        ../data/schemes/skeleton.xsd
)
kconfig_add_kcfg_files(artikulate_editor settings.kcfgc)
target_link_libraries(artikulate_editor
    LINK_PUBLIC
        artikulatecore
        Qt::Qml
        Qt::Quick
        KF6::Crash
        KF6::NewStuffCore
    LINK_PRIVATE
        artikluate_backing
        artikluate_backingplugin
)

install(FILES artikulate.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(TARGETS artikulate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS artikulate_editor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== autotests/integrationtests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2019 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

include_directories(
    ../../src/
    ../../
    ${CMAKE_CURRENT_BINARY_DIR}
)

# copy test data
file(COPY ../testdata/courses/de.xml DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data/courses/de/) # copy test files
file(COPY ../testdata/courses/fr.xml DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data/courses/fr/) # copy test files
file(COPY ../testdata/contributorrepository/ DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data/contributorrepository/) # copy test files

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

# integration tests for iresource repository interface derived classes
add_executable(test_iresourcerepository_integration)
target_sources(test_iresourcerepository_integration PRIVATE
    iresourcerepository_integration/test_iresourcerepository.cpp
    iresourcerepository_integration/test_iresourcerepository.h
)
add_language_resources(test_iresourcerepository_integration)
target_link_libraries(test_iresourcerepository_integration
    artikulatecore
    Qt::Test
)
add_test(NAME test_iresourcerepository_integration COMMAND test_iresourcerepository_integration)
ecm_mark_as_test(test_iresourcerepository_integration)

=== autotests/resourcetests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2019 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

include_directories(
    ../../src/
    ../../
    ../mocks/
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_BINARY_DIR}/src/
)

# basic tests language resource conformance with XSD
add_executable(test_languageresources)
target_sources(test_languageresources PRIVATE
    languageresources/testlanguagefiles.cpp
    languageresources/testlanguagefiles.h
)
add_language_resources(test_languageresources)
target_link_libraries(test_languageresources
    artikulatecore
    Qt::Test
)
add_test(NAME test_languageresources COMMAND test_languageresources)
ecm_mark_as_test(test_languageresources)


# test correctness of XSD files
add_executable(test_xsdschemes)
target_sources(test_xsdschemes PRIVATE
    xsdschemes/testxsdschemes.cpp
    xsdschemes/testxsdschemes.h
)
add_language_resources(test_xsdschemes)
target_link_libraries(test_xsdschemes
    artikulatecore
    Qt::Test
    Qt::Core
)
add_test(NAME test_xsdschemes COMMAND test_xsdschemes)
ecm_mark_as_test(test_xsdschemes)

=== autotests/unittests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2019 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

include_directories(
    ../../src/
    ../../
    ../mocks/
    ${CMAKE_CURRENT_BINARY_DIR}
)

# copy test data
file(COPY ../testdata/courses/de.xml DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data/courses/de/) # copy test files
file(COPY ../testdata/courses/fr.xml DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data/courses/fr/) # copy test files
file(COPY ../testdata/contributorrepository/ DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data/contributorrepository/) # copy test files

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

# repository tests
add_executable(test_resourcerepository)
target_sources(test_resourcerepository PRIVATE
    resourcerepository/test_resourcerepository.cpp
    resourcerepository/test_resourcerepository.h
)
add_language_resources(test_resourcerepository)
target_link_libraries(test_resourcerepository
    artikulatecore
    Qt::Test
)
add_test(NAME test_resourcerepository COMMAND test_resourcerepository)
ecm_mark_as_test(test_resourcerepository)


# training session tests
add_executable(test_trainingsession)
target_sources(test_trainingsession PUBLIC
    trainingsession/test_trainingsession.cpp
    trainingsession/test_trainingsession.h
    ${CMAKE_SOURCE_DIR}/src/org/kde/artikulate/editorsession.cpp
    ${CMAKE_SOURCE_DIR}/src/org/kde/artikulate/isessionactions.h
    ${CMAKE_SOURCE_DIR}/src/org/kde/artikulate/trainingsession.cpp
    ${CMAKE_SOURCE_DIR}/src/artikulate_debug.cpp
    ../mocks/coursestub.cpp
    ../mocks/languagestub.cpp
)
target_link_libraries(test_trainingsession
    artikulatecore
    Qt::Test
)
add_test(NAME test_trainingsession COMMAND test_trainingsession)
ecm_mark_as_test(test_trainingsession)


# editor session tests
add_executable(test_editorsession)
target_sources(test_editorsession PUBLIC
    ${CMAKE_SOURCE_DIR}/src/org/kde/artikulate/editorsession.cpp
    ${CMAKE_SOURCE_DIR}/src/org/kde/artikulate/isessionactions.h
    ${CMAKE_SOURCE_DIR}/src/org/kde/artikulate/trainingsession.cpp
    ${CMAKE_SOURCE_DIR}/src/artikulate_debug.cpp
    editorsession/test_editorsession.cpp
    editorsession/test_editorsession.h
    ../mocks/editablerepositorystub.cpp
    ../mocks/editablecoursestub.cpp
    ../mocks/languagestub.cpp
)
target_link_libraries(test_editorsession
    artikulatecore
    Qt::Test
)
add_test(NAME test_editorsession COMMAND test_editorsession)
ecm_mark_as_test(test_editorsession)


# test course resource class
add_executable(test_courseresource)
target_sources(test_courseresource PRIVATE
    courseresource/test_courseresource.cpp
    courseresource/test_courseresource.h
    ../mocks/resourcerepositorystub.cpp
    ../mocks/languagestub.cpp
)
add_language_resources(test_courseresource)
target_link_libraries(test_courseresource
    artikulatecore
    Qt::Test
)
add_test(NAME test_courseresource COMMAND test_courseresource)
ecm_mark_as_test(test_courseresource)


# test skeleton resource class
add_executable(test_skeletonresource)
target_sources(test_skeletonresource PRIVATE
    skeletonresource/test_skeletonresource.cpp
    skeletonresource/test_skeletonresource.h
    ../mocks/resourcerepositorystub.cpp
    ../mocks/languagestub.cpp
)
add_language_resources(test_skeletonresource)
target_link_libraries(test_skeletonresource
    artikulatecore
    Qt::Test
)
add_test(NAME test_skeletonresource COMMAND test_skeletonresource)
ecm_mark_as_test(test_skeletonresource)


# test course resource class
add_executable(test_unit)
target_sources(test_unit PRIVATE
    unit/test_unit.cpp
    unit/test_unit.h
)
add_language_resources(test_unit)
target_link_libraries(test_unit
    artikulatecore
    Qt::Test
)
add_test(NAME test_unit COMMAND test_unit)
ecm_mark_as_test(test_unit)


# test editable course resource class
add_executable(test_editablecourseresource)
target_sources(test_editablecourseresource PRIVATE
    editablecourseresource/test_editablecourseresource.cpp
    editablecourseresource/test_editablecourseresource.h
    ../mocks/resourcerepositorystub.cpp
    ../mocks/coursestub.cpp
    ../mocks/languagestub.cpp
)
add_language_resources(test_editablecourseresource)
add_testdata_resources(test_editablecourseresource)
target_link_libraries(test_editablecourseresource
    artikulatecore
    Qt::Test
)
add_test(NAME test_editablecourseresource COMMAND test_editablecourseresource)
ecm_mark_as_test(test_editablecourseresource)


# test course model class
add_executable(test_coursemodel)
target_sources(test_coursemodel PRIVATE
    coursemodel/test_coursemodel.cpp
    coursemodel/test_coursemodel.h
    ${CMAKE_SOURCE_DIR}/src/org/kde/artikulate/coursemodel.cpp
    ${CMAKE_SOURCE_DIR}/src/artikulate_debug.cpp
    ../mocks/resourcerepositorystub.cpp
    ../mocks/coursestub.cpp
    ../mocks/languagestub.cpp
)
add_language_resources(test_coursemodel)
add_testdata_resources(test_coursemodel)
target_link_libraries(test_coursemodel
    artikulatecore
    Qt::Test
)
add_test(NAME test_coursemodel COMMAND test_coursemodel)
ecm_mark_as_test(test_coursemodel)


# test skeleton model class
add_executable(test_skeletonmodel)
target_sources(test_skeletonmodel PRIVATE
    skeletonmodel/test_skeletonmodel.cpp
    skeletonmodel/test_skeletonmodel.h
    ${CMAKE_SOURCE_DIR}/src/org/kde/artikulate/skeletonmodel.cpp
    ../mocks/editablerepositorystub.cpp
    ../mocks/editablecoursestub.cpp
    ../mocks/languagestub.cpp
)
add_language_resources(test_skeletonmodel)
add_testdata_resources(test_skeletonmodel)
target_link_libraries(test_skeletonmodel
    artikulatecore
    Qt::Test
)
add_test(NAME test_skeletonmodel COMMAND test_skeletonmodel)
ecm_mark_as_test(test_skeletonmodel)

# test drawer course tree model class
add_executable(test_drawercoursetreemodel)
target_sources(test_drawercoursetreemodel PUBLIC
    drawercoursetreemodel/test_drawercoursetreemodel.cpp
    drawercoursetreemodel/test_drawercoursetreemodel.h
    ${CMAKE_SOURCE_DIR}/src/org/kde/artikulate/drawercoursetreemodel.cpp
    ${CMAKE_SOURCE_DIR}/src/org/kde/artikulate/editorsession.cpp
    ${CMAKE_SOURCE_DIR}/src/org/kde/artikulate/isessionactions.h
    ${CMAKE_SOURCE_DIR}/src/org/kde/artikulate/trainingsession.cpp
    ${CMAKE_SOURCE_DIR}/src/artikulate_debug.cpp
    ../mocks/coursestub.cpp
    ../mocks/languagestub.cpp
)
target_link_libraries(test_drawercoursetreemodel
    artikulatecore
    Qt::Test
)
add_test(NAME test_drawercoursetreemodel COMMAND test_drawercoursetreemodel)
ecm_mark_as_test(test_drawercoursetreemodel)

=== liblearnerprofile/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2016 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

include_directories(
    ../src/
    ../
    ${CMAKE_CURRENT_BINARY_DIR}
)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
set(TestLearnerStorage_SRCS
    testlearnerstorage.cpp
    ../src/storage.cpp
    ../src/liblearner_debug.cpp
)
add_executable(TestLearnerStorage ${TestLearnerStorage_SRCS} )
target_link_libraries(TestLearnerStorage
    artikulatelearnerprofile
    Qt::Test
)
add_test(NAME TestLearnerStorage COMMAND TestLearnerStorage)
ecm_mark_as_test(TestLearnerStorage)

=== liblearnerprofile/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

set(learnerprofile_LIB_SRCS
    learner.cpp
    learninggoal.cpp
    profilemanager.cpp
    storage.cpp
    models/learninggoalmodel.cpp
    liblearner_debug.cpp
)

add_library(artikulatelearnerprofile SHARED ${learnerprofile_LIB_SRCS})
generate_export_header(artikulatelearnerprofile BASE_NAME liblearnerprofile)

target_link_libraries(
    artikulatelearnerprofile
    LINK_PUBLIC
        Qt::Core
        Qt::Gui
        Qt::Sql
        Qt::Widgets
        KF6::ConfigCore
        KF6::I18n
)
# internal library without any API or ABI guarantee
set(GENERIC_LIB_VERSION "0")
set(GENERIC_LIB_SOVERSION "0")
set_target_properties(
    artikulatelearnerprofile
    PROPERTIES
        VERSION ${GENERIC_LIB_VERSION}
        SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(
    TARGETS artikulatelearnerprofile
    LIBRARY NAMELINK_SKIP
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

=== src/org/kde/artikulate/CMakeLists.txt ===
add_library(artikluate_backing STATIC)

qt_add_qml_module(
    artikluate_backing
    URI org.kde.artikulate
    IMPORTS
        org.kde.kirigami
        org.kde.kirigamiaddons.formcard
    SOURCES
        drawertrainingactions.cpp
        drawertrainingactions.h
        editorsession.cpp
        editorsession.h
        temporaryrecordingfile.cpp
        temporaryrecordingfile.h
        isessionactions.h
        trainingsession.cpp
        trainingsession.h

        # models
        coursemodel.cpp
        coursemodel.h
        coursefiltermodel.cpp
        coursefiltermodel.h

        drawercoursetreemodel.cpp
        drawercoursetreemodel.h
        languagemodel.cpp
        languagemodel.h
        languageresourcemodel.cpp
        languageresourcemodel.h
    #     learningprogressmodel.cpp //TODO must be adapted to new trainingsession
        unitmodel.cpp
        unitmodel.h
        unitfiltermodel.cpp
        unitfiltermodel.h
        phrasemodel.cpp
        phrasemodel.h
        phraselistmodel.cpp
        phraselistmodel.h
        phrasefiltermodel.cpp
        phrasefiltermodel.h
        phonememodel.cpp
        phonememodel.h
        phonemegroupmodel.cpp
        phonemegroupmodel.h
        phonemeunitmodel.cpp
        phonemeunitmodel.h
        profilemodel.cpp
        profilemodel.h
        skeletonmodel.cpp
        skeletonmodel.h
    QML_FILES
        ActionListItem.qml
        ArtikulateDrawer.qml
        CourseConfigurationPage.qml
        EditCoursePage.qml
        Editor.qml
        EditorCourseSelectionPage.qml
        EditorDrawer.qml
        Main.qml
        PhonemeUnitSelector.qml
        PhraseEditor.qml
        PhraseEditorSoundComponent.qml
        UnitEditor.qml
        ProfileDetailsItem.qml
        ProfileSelector.qml
        ProfileSettingsPage.qml
        ProfileUserImageItem.qml
        ProfileUserItem.qml
        SoundPlayer.qml
        SoundRecorder.qml
        TrainerCourseStatistics.qml
        TrainingPage.qml
        WelcomePage.qml
)

target_link_libraries(artikluate_backing
    PUBLIC Qt::Gui KF6::ItemModels artikulatecore
)

=== debian/changelog ===
artikulate (4:25.08.2-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Oct 2025 09:12:23 +0100

artikulate (4:25.08.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.08.2).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Backport upstream commit: Fix editorsession test. [b527ac77]
  * Replace manual QML runtime dependencies with dh_qmldeps.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 24 Oct 2025 23:21:59 +0200

artikulate (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:34:13 +0100

artikulate (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:35:49 +0100

artikulate (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:59:16 +0100

artikulate (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:39:39 +0100

=== debian/control ===
Source: artikulate
Section: education
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6archive-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6doctools-dev,
               libkf6i18n-dev (>= 6.0.0~),
               libkf6itemmodels-dev (>= 6.0.0~),
               libkf6newstuff-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               libqt6sql6-sqlite (>= 6.0.0~) <!nocheck>,
               libxml2-dev,
               qml6-module-org-kde-kirigamiaddons-formcard,
               qml6-module-qtquick-controls,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-multimedia-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://edu.kde.org/artikulate
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
Rules-Requires-Root: no

Package: artikulate
Architecture: any
Depends: kio,
         libqt6sql6-sqlite,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

## artikulate 25.08.2+p24.04+vstable+git20251015.1438

=== debian/changelog ===
artikulate (4:25.08.2+p24.04+vstable+git20251015.1438-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:38:54 +0000

artikulate (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:56:25 +0000

## artikulate 25.08.2+p24.04+vstable+git20251019.0314

=== debian/changelog ===
artikulate (4:25.08.2+p24.04+vstable+git20251019.0314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:14:58 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_test:
	# Disable autotests at build time
	:

## artikulate 25.08.2+p24.04+vstable+git20251028.0957

=== debian/changelog ===
artikulate (4:25.08.2+p24.04+vstable+git20251028.0957-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:58:00 +0000

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         cmake,
         dbus (>= 1.8),
         debhelper,
         libqt5sql5-sqlite,
         libqt5test5,
         xauth,
         xvfb,
         @
Restrictions: build-needed

## artikulate 25.08.2+p24.04+vstable+git20251031.0830

=== debian/changelog ===
artikulate (4:25.08.2+p24.04+vstable+git20251031.0830-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 08:30:43 +0000

## artikulate 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 set (ARTIKULATE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== liblearnerprofile/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

ecm_optional_add_subdirectory(src)
ecm_optional_add_subdirectory(autotests)

=== debian/changelog ===
artikulate (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:10:08 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16.0~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libkf6archive-dev (>= 6.0.0~),

## artikulate 25.08.3+p24.04+vunstable+git20251206.0746

=== debian/changelog ===
artikulate (4:25.08.3+p24.04+vunstable+git20251206.0746-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:46:54 +0000

artikulate (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:35:28 +1000

## artikulate 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 set (ARTIKULATE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
artikulate (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:48:44 +0000

## artikulate 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 set (ARTIKULATE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
artikulate (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:57:01 +0000

## artikulate 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 set (ARTIKULATE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
artikulate (4:25.12.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:20:45 +0000

artikulate (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:31:21 +1000

## artikulate 25.12.0+p24.04+vstable+git20251231.0157

=== debian/changelog ===
artikulate (4:25.12.0+p24.04+vstable+git20251231.0157-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:57:18 +0000

## artikulate 25.12.0+p24.04+vstable+git20260101.0102

=== debian/changelog ===
artikulate (4:25.12.0+p24.04+vstable+git20260101.0102-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:02:06 +0000

## artikulate 25.12.0+p24.04+vstable+git20260105.0921

=== debian/changelog ===
artikulate (4:25.12.0+p24.04+vstable+git20260105.0921-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:21:44 +0000

## artikulate 25.12.0+p24.04+vunstable+git20251208.1247

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,9 @@
 set(QT_QML_GENERATE_QMLLS_INI ON)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 set (ARTIKULATE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
artikulate (4:25.12.0+p24.04+vunstable+git20251208.1247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:47:30 +0000

## artikulate 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,9 @@
 set(QT_QML_GENERATE_QMLLS_INI ON)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 set (ARTIKULATE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
artikulate (4:25.12.1-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix runtime dependency to KF6’s kio6.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 02 Mar 2026 00:44:01 +0100

artikulate (4:25.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop patch applied upstream.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Jan 2026 08:14:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: artikulate
 Section: education
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16.0~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libkf6archive-dev (>= 6.0.0~),
@@ -27,15 +26,14 @@
                qt6-multimedia-dev (>= 6.8.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://edu.kde.org/artikulate
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/artikulate.git
 
 Package: artikulate
 Architecture: any
-Depends: kio,
+Depends: kio6,
          libqt6sql6-sqlite,
          ${misc:Depends},
          ${qml6:Depends},

## artikulate 25.12.1+p24.04+vstable+git20260106.1443

=== debian/changelog ===
artikulate (4:25.12.1+p24.04+vstable+git20260106.1443-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:43:23 +0000

artikulate (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:19:58 +1000

## artikulate 25.12.1+p24.04+vstable+git20260127.1031

=== debian/changelog ===
artikulate (4:25.12.1+p24.04+vstable+git20260127.1031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 27 Jan 2026 10:31:04 +0000

## artikulate 25.12.1+p24.04+vstable+git20260130.0823

=== debian/changelog ===
artikulate (4:25.12.1+p24.04+vstable+git20260130.0823-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:24:00 +0000

## artikulate 25.12.1+p24.04+vunstable+git20260201.0758

=== debian/changelog ===
artikulate (4:25.12.1+p24.04+vunstable+git20260201.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 07:58:15 +0000

## artikulate 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 set (ARTIKULATE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
artikulate (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:16:13 +0000

artikulate (4:25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Jan 2026 10:12:53 +0000

artikulate (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:55:21 +0000

artikulate (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:11:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: artikulate
 Section: education
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16.0~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libkf6archive-dev (>= 6.0.0~),
@@ -28,12 +29,12 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.3
 Homepage: https://edu.kde.org/artikulate
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/artikulate.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
 
 Package: artikulate
 Architecture: any
-Depends: kio6,
+Depends: kio,
          libqt6sql6-sqlite,
          ${misc:Depends},
          ${qml6:Depends},

## artikulate 25.12.2+p24.04+vstable+git20260216.0225

=== debian/changelog ===
artikulate (4:25.12.2+p24.04+vstable+git20260216.0225-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Feb 2026 02:25:54 +0000

artikulate (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:50:37 +0000

## artikulate 25.12.2+p24.04+vstable+git20260219.0359

=== debian/changelog ===
artikulate (4:25.12.2+p24.04+vstable+git20260219.0359-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 03:59:24 +0000
